package com.bocloud.cmp.model;

import java.util.Date;

public class SnapshotBackupModel {
    private Long id;
    private Long snapshotId;
    private String snapshotUuid;
    private String backupUuid;
    private String name;
    private Date createTime;
    private int size;
    private String volumeUuid;
    private String status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSnapshotId() {
        return snapshotId;
    }

    public void setSnapshotId(Long snapshotId) {
        this.snapshotId = snapshotId;
    }

    public String getSnapshotUuid() {
        return snapshotUuid;
    }

    public void setSnapshotUuid(String snapshotUuid) {
        this.snapshotUuid = snapshotUuid;
    }

    public String getBackupUuid() {
        return backupUuid;
    }

    public void setBackupUuid(String backupUuid) {
        this.backupUuid = backupUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public void setVolumeUuid(String volumeUuid) {
        this.volumeUuid = volumeUuid;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public int getSize() {
        return size;
    }

    public String getVolumeUuid() {
        return volumeUuid;
    }

    public String getStatus() {
        return status;
    }
}
